[Project_owners] Firefox 1.0 and JRE 1.3.1

Matthieu CLEMENCEAU matthieu.clemenceau at mangrove-systems.com
Wed Feb 16 11:13:07 EST 2005


Hi All

I was using Mozilla Firefox 0.8 with Sun JRE 1.3.1_01 without any problem.
But After I compiling Mozilla Firefox-1.0, Sun JRE 1.3.1_01 plugin doesn't
work anymore.

I have this Message : 
LoadPlugin: failed to initialize shared library /.../libjavaplugin_oji.so
libjavaplugin_oji.so: undefined symbol: __vt_16nsQueryInterface]

FYI, I Mozilla is compiled with an old GCC 2.91 os I have no problem
regarding GCC 3.2 complience and JRE 1.3.1 plugin.

I think there was change in the OJI interface between firefox 0.8 and 1.0
and I know that Sun JRE 1.4 still work's fine, but I need to keep Sun JRE
1.3.1 for size purpose.

Is there any way to make Sun JRE 1.3.1 and Firefox 1.0 work together or is
it a wast of time.

Thanks a lot in advance for any help.

Best Regards.

--
Matthieu Clemenceau





More information about the Project_owners mailing list